EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [suvandid] sisend_fail [väljund_fail]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 või EPUB formats.

Alati kui edastad programmile ebook-polish tühikuid sisaldavaid argumente, ümbritse argumendid jutumärkidega. Näiteks: "/some path/with spaces"

[SUVANDID]

--compress-images, -i
    Failisuuruse vähendamiseks tihenda raamatu pildid kadudeta, ilma piltide kvaliteeti mõjutamata.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Embed all fonts that are referenced in the document and are not already embedded. This will scan your computer for the fonts, and if they are found, they will be embedded into the document. Please ensure that you have the proper license for embedding the fonts used in this document.

--help, -h
    näita seda veateadet ja välju

--jacket, -j
    Sisesta raamatu algusesse "raamatuümbrise" leht, mis sisaldab kõiki raamatu metaandmeid, nagu pealkiri, autorid, sari, kommentaarid jms. Mis tahes eelmine raamatuümbris asendatakse uuega.

--opf, -o
    Path to an OPF file. The metadata in the book is updated from the OPF file.

--remove-jacket
    Eemalda eelnevalt sisestatud raamatuümbrise leht.

--remove-unused-css, -u
    Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that dont match any actual content. These extra rules can slow down readers that need to parse them all.

--smarten-punctuation, -p
    Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into their typographically correct equivalents. Note that the algorithm can sometimes generate incorrect results, especially when single quotes at the start of contractions are involved.

--subset-fonts, -f
    Subsetting fonts means reducing an embedded font to contain only the characters used from that font in the book. This greatly reduces the size of the font files (halving the font file sizes is common). For example, if the book uses a specific font for headers, then subsetting will reduce that font to contain only the characters present in the actual headers in the book. Or if the book embeds the bold and italic versions of a font, but bold and italic text is relatively rare, or absent altogether, then the bold and italic fonts can either be reduced to only a few characters or completely removed. The only downside to subsetting fonts is that if, at a later date you decide to add more text to your books, the newly added text might not be covered by the subset font.

--upgrade-book, -U
    Uuenda raamatu sisemist ülesehitust, kui võimalik. Näiteks uuendab EPUB 2 raamatud EPUB 3 raamatuteks.

--verbose
    Produce more verbose output, useful for debugging.

--version
    näita programmi versiooninumbrit ja välju

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal